package com.gic.haoban.manage.web.vo.content;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Author MUSI
 * @Date 2023/3/28 10:37 AM
 * @Description
 * @Version
 **/
@Data
public class InteractRecordVO implements Serializable {

    /**
     * 记录描述
     * 通过XXX访问XXXX
     */
    private String recordDesc;

    /**
     * 第几次访问
     */
    private Integer times;

    /**
     * 停留时长 单位秒
     */
    private Integer durationTime;

    /**
     * 记录生成时间
     */
    private Date createTime;

    /**
     * 记录事件类型
     * 1浏览素材；2 查看商品; 3 购买商品
     */
    private Integer eventType;

    /**
     * 素材信息
     * null 代表素材被删除
     */
    private ContentMaterialInfoVO contentMaterialInfoVO;

    /**
     * 记录关联的商品信息
     */
    private List<SimpleGoodsInfoVO> relationGoodsInfo;

    /**
     * 订单信息
     */
    private OrderInfo orderInfo;

    @Data
    public static class OrderInfo {

        /**
         * 订单编号
         */
        private String orderNumber;

        /**
         * 订单创建时间
         */
        private Date orderCreateTime;

        /**
         * 订单商品项总数
         */
        private Integer orderTotalNum;

        /**
         * 订单应付
         */
        private BigDecimal orderPay;

        /**
         * 订单实付
         */
        private BigDecimal realPay;

        /**
         * 订单商品信息
         */
        private List<OrderItemGoodsInfo> orderItemGoodsInfos;
    }

    @Data
    public static class OrderItemGoodsInfo {

        /**
         * 商品名称
         */
        private String goodsName;

        /**
         * 商品主图
         */
        private String goodsImageUrl;

        /**
         * 商品货号
         */
        private String goodsCode;

        /**
         * 商品规格
         */
        private String goodsNorm;
        /**
         * 订单项数量
         */
        private Integer orderNum;

        /**
         * 订单项单价
         */
        private BigDecimal orderItemPrice;
    }
}
